View Issue Details

IDProjectCategoryView StatusLast Update
0003223Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.197 
Target VersionFixed in Version6.5.0.207 
Summary0003223: FTDX-1200 BFO slider changes incorrect setting
DescriptionThe "BFO" slider offered for the FTDX-1200 radio in Rig Control ends up changing a different setting.
Steps To Reproduce1) Open Rig Control and connect to an FTDX-1200 radio
2) Use the "Menu" button on the radio to access the menu settings
3) Use the VFO B dial to scroll to setting 60, which is "CW HCUT SLOPE"

4) Use the "Radio Layout" command in the "View" menu to reach the "Customize Layout" dialog
5) On the "Sliders: Layout" tab, make sure the "060 BFO" slider is visible.

6) Exercise the "BFO" slider.

BUG#1) The radio changes the "CW HCUT SLOPE" setting, instead. Maybe -- sometimes the value sent by the slider isn't valid, and the slider just snaps back.
TagsFTDX-1200, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-03-06 11:56

administrator   ~0007603

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4876

WA9PIE

2019-03-26 14:45

administrator   ~0007755

In this, I tested the rig's menu item 062 - CW BFO. I don't see an option in Rig Control for 060.

I'm not sure what to do with this one.

K7ZCZ

2019-03-26 16:58

administrator   ~0007769

The BFO setting is command #62 in the radio's settings, so I think that's correct.

WA9PIE

2019-03-26 20:48

administrator   ~0007774

Validated

Issue History

Date Modified Username Field Change
2019-03-04 14:28 K7ZCZ New Issue
2019-03-04 14:29 K7ZCZ Tag Attached: Yaesu
2019-03-04 14:29 K7ZCZ Tag Attached: FTDX-1200
2019-03-06 11:56 K7ZCZ Assigned To => K7ZCZ
2019-03-06 11:56 K7ZCZ Status new => resolved
2019-03-06 11:56 K7ZCZ Resolution open => fixed
2019-03-06 11:56 K7ZCZ Note Added: 0007603
2019-03-06 21:45 K7ZCZ Fixed in Version => 6.5.0.200
2019-03-26 14:45 WA9PIE Status resolved => feedback
2019-03-26 14:45 WA9PIE Resolution fixed => reopened
2019-03-26 14:45 WA9PIE Description Updated View Revisions
2019-03-26 14:45 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-26 14:45 WA9PIE Note Added: 0007755
2019-03-26 16:58 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-03-26 16:58 K7ZCZ Note Added: 0007769
2019-03-26 16:58 K7ZCZ Status feedback => assigned
2019-03-26 20:48 WA9PIE Status assigned => closed
2019-03-26 20:48 WA9PIE Testing Not Started => Beta Successful
2019-03-26 20:48 WA9PIE Note Added: 0007774
2019-03-30 05:56 WA9PIE Resolution reopened => fixed
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.200 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe